# -*- coding:japanese-shift-jis-dos; tab-width:4; -*-
#
# bmpdepth.pl -- print color depth of a DIB file
# $Id: bmpdepth.pl 2.0 2004/08/24 21:59:37 satomii Exp $
#

use strict;

die "Usage: $0 filename\n" if (1 != scalar(@ARGV));

my $data;

open(IN, $ARGV[0]) || die "File open error: $ARGV[0] ($!)\n";
binmode(IN);
read(IN, $data, 2) || die "File read error: $ARGV[0] ($!)\n";
$data eq 'BM' || die "$ARGV[0] is not a DIB file.\n";
seek(IN, 26, 1) || die "File seek error: $ARGV[0] ($!)\n";
read(IN, $data, 2) || die "File read error: $ARGV[0] ($!)\n";
close(IN);

print unpack('S', $data), "\n";
exit(0);
